Get Playlist API Endpoint
curl --request GET \
--url https://backend.clipvision.ai/api/playlist/ \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://backend.clipvision.ai/api/playlist/"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://backend.clipvision.ai/api/playlist/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"playlist_id": 1,
"disabled": false,
"playlist_name": "Playlist #1",
"font_profile": {
"font_profile_id": 1,
"disabled": false,
"profile_name": "New Font Profile",
"name": "Poppins",
"path": "Poppins",
"size": 30,
"bold": false,
"italic": false,
"underlined": false,
"strikethrough": false,
"caption_position": {
"coordinate_id": 0,
"overlay_visualizer": "Middle Center",
"x": "(main_w-overlay_w)/2",
"y": "(main_h-overlay_h)/2"
},
"caption_style_color": "#FFFFFF",
"caption_style_stroke_color": "#000000",
"caption_style_stroke_thickness": 2,
"caption_shadow_x_pos": 16,
"caption_shadow_y_pos": 14,
"caption_shadow_color": "#000000",
"caption_shadow_blur": 6,
"caption_lines": 1,
"caption_ai_keyword_highlighter": false,
"caption_ai_keyword_highlighter_color": "#80B8FF",
"caption_highlighter": true,
"caption_highlighter_color": "#FFFF00",
"preview_url": null
},
"media_profile": {
"media_profile_id": 1,
"disabled": false,
"profile_name": "New Media Profile",
"watermark_path": null,
"watermark_position": null,
"end_clip_path": null,
"preview_url": null
},
"voice_profile": {
"voice_profile_id": 1,
"disabled": false,
"profile_name": "New Voice Profile",
"api_key": "api_key",
"region": "westus2",
"provider_id": "elevenlabs",
"provider_name": "ElevenLabs"
},
"content_type": {
"content_type_id": 1,
"display_name": "Default Model (DM)",
"model_id": "dm-1.0",
"description": "Default model for video creation.",
"preview_image": "",
"preview_video": "",
"active": true
},
"preview_url": ""
}This response has no body data.{
"success": false,
"error": "Internal Server Error"
}api
Get Playlist API Endpoint
This API endpoint allows a user to retrieve an existing playlist.
GET
/
api
/
playlist
/
Get Playlist API Endpoint
Authorizations
Basicapi_key
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Query Parameters
Response
Successfully retrieved the playlist
Playlist OpenAPI Schema
Font Profile OpenAPI Schema
Show child attributes
Show child attributes
Media Profile OpenAPI Schema
Show child attributes
Show child attributes
Voice Profile OpenAPI Schema
Show child attributes
Show child attributes
Content Type OpenAPI Schema
Show child attributes
Show child attributes
⌘I